DeepFellow DOCS

SSE MCP send endpoint for tool

One of the endpoint to handle SSE post requests to the MCP server from tool mcp server.

Need message_id to work in query returned from /sse endpoint. You can test this endpoint with mcp server inspector. Needs user bearer token in authorization header.

POST
/toolboxes/{toolbox_id}/tools/{tool_id}/messages
Authorization[Bearer <token>]

In: header

Path Parameters

tool_id[Tool Id]

Query Parameters

session_id[Session Id]

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X POST "https://deepfellow-server-host/toolboxes/{toolbox_id}/tools/string/messages?session_id=string" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.